Skip to content
Permalink
Browse files

kernel: Replace ledtrig-netdev with upstream backport

The ledtrig-netdev was added to upstream Linux kernel 4.16, replace our
own version with the patch based on the upstream version.
This will remove the ledtrig-netdev support from kernel 3.18, because I
not want to spend time on backporting it to 3.18. This will make it
easier to use the upstream version with kernel 4.19, by just not
applying this patch.

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
  • Loading branch information...
hauke committed Nov 14, 2018
1 parent 42e62a8 commit aa3b6a08c5616fdebd3b219f021a9674533a6519
@@ -58,7 +58,7 @@ define KernelPackage/ledtrig-netdev
SUBMENU:=$(LEDS_MENU)
TITLE:=LED NETDEV Trigger
KCONFIG:=CONFIG_LEDS_TRIGGER_NETDEV
FILES:=$(LINUX_DIR)/drivers/leds/ledtrig-netdev.ko
FILES:=$(LINUX_DIR)/drivers/leds/trigger/ledtrig-netdev.ko
AUTOLOAD:=$(call AutoLoad,50,ledtrig-netdev)
endef

@@ -15,8 +15,8 @@
endif # NEW_LEDS
--- a/drivers/leds/Makefile
+++ b/drivers/leds/Makefile
@@ -63,3 +63,4 @@ obj-$(CONFIG_LEDS_DAC124S085) += leds-d
@@ -62,3 +62,4 @@ obj-$(CONFIG_LEDS_DAC124S085) += leds-d

# LED Triggers
obj-$(CONFIG_LEDS_TRIGGERS) += trigger/
obj-$(CONFIG_LEDS_TRIGGER_NETDEV) += ledtrig-netdev.o
+obj-$(CONFIG_LEDS_TRIGGER_ADM5120_SWITCH) += ledtrig-adm5120-switch.o

0 comments on commit aa3b6a0

Please sign in to comment.
You can’t perform that action at this time.